<?php
/*
 * ------------------------------------------------------------------------
 * JA Social II template
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

// get params
$sitename  = $this->params->get('sitename');
$slogan    = $this->params->get('slogan', '');
$logotype  = $this->params->get('logotype', 'text');
$logoimage = $logotype == 'image' ? $this->params->get('logoimage', T3Path::getUrl('images/logo.png', '', true)) : '';
$logoimgsm = ($logotype == 'image' && $this->params->get('enable_logoimage_sm', 0)) ? $this->params->get('logoimage_sm', T3Path::getUrl('images/logo-sm.png', '', true)) : false;
$logolink  = $this->params->get('logolink');
if (!$sitename) {
	$sitename = JFactory::getConfig()->get('sitename');
}

$logosize = 'col-md-12';
if ($headright = $this->countModules('head-search or languageswitcherload or head-menu or head-login or off-canvas')) {
	$logosize = 'col-md-4';
}

// get logo url
$logourl = JURI::base(true);
if ($logolink == 'page') {
	$logopageid = $this->params->get('logolink_id');
	$_item = JFactory::getApplication()->getMenu()->getItem ($logopageid);
	if ($_item) {
		$logourl = JRoute::_('index.php?Itemid=' . $logopageid);
	}
}

?>

<!-- HEADER -->
<header id="t3-header" class="wrap t3-header">
	<div class="container">
		<div class="row">

			<!-- LOGO -->
			<div class="col-xs-12 col-sm-6 <?php echo $logosize ?> logo">
				<div class="logo-<?php echo $logotype, ($logoimgsm ? ' logo-control' : '') ?>">
					<a href="<?php echo $logourl ?>" title="<?php echo strip_tags($sitename) ?>">
						<?php if($logotype == 'image'): ?>
							<img class="logo-img" src="<?php echo JURI::base(true) . '/' . $logoimage ?>" alt="<?php echo strip_tags($sitename) ?>" />
						<?php endif ?>
						<?php if($logoimgsm) : ?>
							<img class="logo-img-sm" src="<?php echo JURI::base(true) . '/' . $logoimgsm ?>" alt="<?php echo strip_tags($sitename) ?>" />
						<?php endif ?>
						<span><?php echo $sitename ?></span>
					</a>
					<small class="site-slogan"><?php echo $slogan ?></small>
				</div>
			</div>
			<!-- //LOGO -->
		<div class="navbar-default navbar-header">
    
			      <?php if ($this->getParam('navigation_collapse_enable', 1) && $this->getParam('responsive', 1)) : ?>
			        <?php $this->addScript(T3_URL.'/js/nav-collapse.js'); ?>
			        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".t3-navbar-collapse">
			          <i class="fa fa-bars"></i>
			        </button>
			      <?php endif ?>

			      <?php if ($this->getParam('addon_offcanvas_enable')) : ?>
			        <?php $this->loadBlock ('off-canvas') ?>
			      <?php endif ?>

			    </div>	
			<?php if ($headright): ?>
				<div class="col-xs-12 col-sm-6 col-md-8 actions">
					
					<?php if ($this->countModules('head-search')) : ?>
						<!-- HEAD SEARCH -->
						<div class="head-search <?php $this->_c('head-search') ?>">
							<jdoc:include type="modules" name="<?php $this->_p('head-search') ?>" style="raw" />
						</div>
						<!-- //HEAD SEARCH -->
					<?php endif ?>

					<?php if ($this->countModules('head-menu')) : ?>
						<!-- HEAD MENU -->
						<div class="head-menu <?php $this->_c('head-menu') ?>">
							<jdoc:include type="modules" name="<?php $this->_p('head-menu') ?>" style="raw" />
						</div>
						<!-- //HEAD MENU -->
					<?php endif ?>

					<?php if ($this->countModules('head-login')) : ?>
						<!-- HEAD LOGIN -->
						<div class="head-login <?php $this->_c('head-login') ?>">
							<jdoc:include type="modules" name="<?php $this->_p('head-login') ?>" style="raw" />
						</div>
						<!-- //HEAD LOGIN -->
					<?php endif ?>
					
					<?php if ($this->countModules('languageswitcherload')) : ?>
						<!-- LANGUAGE SWITCHER -->
						<div class="languageswitcherload">
							<jdoc:include type="modules" name="<?php $this->_p('languageswitcherload') ?>" style="raw" />
						</div>
						<!-- //LANGUAGE SWITCHER -->
					<?php endif ?>
					
				</div>
			<?php endif ?>

		</div>
	</div>
</header>
<!-- //HEADER -->
